Freeciv-3.3: section_file Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
section_file Struct Reference

`#include <section_file.h>`

## Data Fields

char * | name
size_t | num_entries
unsigned int | num_includes
unsigned int | num_long_comments
struct section_list * | sections
bool | allow_duplicates
bool | allow_digital_boolean
struct { |
struct section_hash * sections |
struct entry_hash * entries |
} | hash |

## Detailed Description

Definition at line 36 of file section_file.h.

## Field Documentation

## ◆ allow_digital_boolean

bool section_file::allow_digital_boolean

Definition at line 46 of file section_file.h.

Referenced by secfile_allow_digital_boolean(), and secfile_new().

## ◆ allow_duplicates

bool section_file::allow_duplicates

Definition at line 45 of file section_file.h.

Referenced by entry_new(), entry_set_name(), secfile_from_input_file(), secfile_from_stream(), secfile_hash_insert(), secfile_load_section(), and secfile_new().

## ◆ entries

struct entry_hash* section_file::entries

Definition at line 49 of file section_file.h.

Referenced by global_worklist_save(), secfile_destroy(), secfile_entry_by_path(), secfile_from_input_file(), secfile_hash_delete(), secfile_hash_insert(), secfile_new(), and section_set_name().

## ◆ [struct]

struct { ... } section_file::hash

Referenced by secfile_destroy(), secfile_entry_by_path(), secfile_from_input_file(), secfile_hash_delete(), secfile_hash_insert(), secfile_new(), secfile_section_new(), section_destroy(), and section_set_name().

## ◆ name

char* section_file::name

Definition at line 37 of file section_file.h.

Referenced by global_worklist_save(), modpack_cache_ruleset(), modpack_has_ruleset(), secfile_check_unused(), secfile_destroy(), secfile_from_input_file(), secfile_name(), secfile_new(), and secfile_save().

## ◆ num_entries

size_t section_file::num_entries

Definition at line 38 of file section_file.h.

Referenced by entry_destroy(), entry_new(), secfile_from_input_file(), and secfile_new().

## ◆ num_includes

unsigned int section_file::num_includes

Definition at line 42 of file section_file.h.

Referenced by secfile_insert_include(), and secfile_new().

## ◆ num_long_comments

unsigned int section_file::num_long_comments

Definition at line 43 of file section_file.h.

Referenced by secfile_insert_long_comment(), and secfile_new().

## ◆ sections [1/2]

struct section_list* section_file::sections

Definition at line 44 of file section_file.h.

Referenced by secfile_destroy(), secfile_from_input_file(), secfile_new(), secfile_save(), secfile_section_by_name(), secfile_section_new(), secfile_section_prefix_present(), secfile_sections(), secfile_sections_by_name_prefix(), section_destroy(), and section_set_name().

## ◆ sections [2/2]

struct section_hash* section_file::sections

Definition at line 48 of file section_file.h.